### Function

# GLib get_real_time

since: 2.28

#### Declaration [src]

    gint64
    g_get_real_time (
      void
    )

#### Description [src]

Queries the system wall-clock time.

This is equivalent to the UNIX `gettimeofday()` function, but portable.

You should only use this call if you are actually interested in the real wall-clock time. `g_get_monotonic_time()` is probably more useful for measuring intervals.

Available since: 2.28

#### Return value

Type: `gint64`

The number of microseconds since January 1, 1970 UTC.